$(function() {
 
	// Asignar evento y función para limpiar los campos
    $('#buscadescript').on('input', limpaCampos);
 
	// Dispara o Autocomplete a partir do segundo caracter	
    $( "#buscadescript" ).autocomplete({
	    minLength: 2,
	    source: function( request, response ) {
	        $.ajax({
	            url: "consulta_cuentadescript.php",
	            dataType: "json",
	            data: {
	            	acao: 'autocomplete',
	                parametro: $('#buscadescript').val()
	            },
	            success: function(data) {
	               response(data);
	            }
	        });
	    },
	    focus: function( event, ui ) {
            $('#buscacuenta').val( ui.item.cuenta);			
	        $("#buscadescript").val( ui.item.ctadescript );
			
	        //carregarDados();
	        return false;
	    },
	    select: function( event, ui ) {
	        $("#buscadescript").val( ui.item.ctadescript );
	        return false;
	    }
    })
    .autocomplete( "instance" )._renderItem = function( ul, item ) {
      return $( "<li>" )
        .append( "<a><b>CUENTA .........: </b>" + item.cuenta + "<br><b>DESCRIPCION : </b>" + item.ctadescript + "<br><b>MOVIMIENTO : </b>" + item.movimient + "</a><br>" )
        .appendTo( ul );
    };
 
	// Función para cargar los datos de la consulta en los campos respectivos	
    function carregarDados(){
    	var buscadescript = $('#buscadescript').val();
 
    	if(buscadescript != "" && buscadescript.length >= 2){
    		$.ajax({
	            url: "consulta_cuentadescript.php",
	            dataType: "json",	
	            data: {
	            	acao: 'consulta',
	                parametro: $('#consulta').val()
	            },
	            success: function( data ) {
	               $('#buscacuenta').val(data[0].cuenta);
	               $('#buscadescript').val(data[0].ctadescript);
	            }
	        });
    	}
    }
 
	// Función para borrar los campos si la búsqueda está vacía
	
    function limpaCampos(){
       var buscadescript = $('#buscadescript').val();
 
       if(buscadescript == ""){
           $('#buscacuenta').val('')
           $('#buscadescript').val('');
       }
    }
});
